Loading...
Searching...
No Matches
AVFrameSideData Struct Reference
libavutil » Data Structures » AVFrame

Structure to hold side data for an AVFrame. More...

`#include <libavutil/frame.h>`

## Data Fields

enum AVFrameSideDataType | type
uint8_t * | data
size_t | size
AVDictionary * | metadata
AVBufferRef * | buf

## Detailed Description

Structure to hold side data for an AVFrame.

sizeof(AVFrameSideData) is not a part of the public ABI, so new fields may be added to the end with a minor bump.

Examples
  extract_mvs.c.

Definition at line 276 of file frame.h.

## Field Documentation

## type

enum AVFrameSideDataType AVFrameSideData::type

Definition at line 277 of file frame.h.

## data

uint8_t* AVFrameSideData::data

Examples
  extract_mvs.c.

Definition at line 278 of file frame.h.

Referenced by decode_packet().

## size

size_t AVFrameSideData::size

Examples
  extract_mvs.c.

Definition at line 279 of file frame.h.

Referenced by decode_packet().

## metadata

AVDictionary* AVFrameSideData::metadata

Definition at line 280 of file frame.h.

## buf

AVBufferRef* AVFrameSideData::buf

Definition at line 281 of file frame.h.

The documentation for this struct was generated from the following file:

- libavutil/frame.h